<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: main.bcolors Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classmain_1_1bcolors.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classmain_1_1bcolors-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">main.bcolors Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a9bf35bb2c72693826f63acefc2cf2143"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1bcolors.html#a9bf35bb2c72693826f63acefc2cf2143">HEADER</a> = '\033[95m'</td></tr>
<tr class="separator:a9bf35bb2c72693826f63acefc2cf2143"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52ba0647dbb88f337fedb9d28f430a95"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1bcolors.html#a52ba0647dbb88f337fedb9d28f430a95">OKBLUE</a> = '\033[94m'</td></tr>
<tr class="separator:a52ba0647dbb88f337fedb9d28f430a95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e5120e588f6b867e72ff497a3f67d77"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1bcolors.html#a7e5120e588f6b867e72ff497a3f67d77">OKCYAN</a> = '\033[96m'</td></tr>
<tr class="separator:a7e5120e588f6b867e72ff497a3f67d77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af969da410c10b19679827e6e9dd61319"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1bcolors.html#af969da410c10b19679827e6e9dd61319">OKGREEN</a> = '\033[92m'</td></tr>
<tr class="separator:af969da410c10b19679827e6e9dd61319"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16b68f4e373fb7d9cc8ef00ca27f54e4"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1bcolors.html#a16b68f4e373fb7d9cc8ef00ca27f54e4">WARNING</a> = '\033[93m'</td></tr>
<tr class="separator:a16b68f4e373fb7d9cc8ef00ca27f54e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a701f5deccddf875d9b9894b2dafbe512"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1bcolors.html#a701f5deccddf875d9b9894b2dafbe512">FAIL</a> = '\033[91m'</td></tr>
<tr class="separator:a701f5deccddf875d9b9894b2dafbe512"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a9f6644602b244da60eadda48d757a4"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1bcolors.html#a0a9f6644602b244da60eadda48d757a4">ENDC</a> = '\033[0m'</td></tr>
<tr class="separator:a0a9f6644602b244da60eadda48d757a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acffa02a149752d86fe0f3811d6b835a9"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1bcolors.html#acffa02a149752d86fe0f3811d6b835a9">BOLD</a> = '\033[1m'</td></tr>
<tr class="separator:acffa02a149752d86fe0f3811d6b835a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a454602594e6627f15fcebbc5e12c5155"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1bcolors.html#a454602594e6627f15fcebbc5e12c5155">UNDERLINE</a> = '\033[4m'</td></tr>
<tr class="separator:a454602594e6627f15fcebbc5e12c5155"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment"> Colors for console logs </pre> </div><h2 class="groupheader">Member Data Documentation</h2>
<a id="acffa02a149752d86fe0f3811d6b835a9" name="acffa02a149752d86fe0f3811d6b835a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acffa02a149752d86fe0f3811d6b835a9">&#9670;&nbsp;</a></span>BOLD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string main.bcolors.BOLD = '\033[1m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a9f6644602b244da60eadda48d757a4" name="a0a9f6644602b244da60eadda48d757a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a9f6644602b244da60eadda48d757a4">&#9670;&nbsp;</a></span>ENDC</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string main.bcolors.ENDC = '\033[0m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a701f5deccddf875d9b9894b2dafbe512" name="a701f5deccddf875d9b9894b2dafbe512"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a701f5deccddf875d9b9894b2dafbe512">&#9670;&nbsp;</a></span>FAIL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string main.bcolors.FAIL = '\033[91m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9bf35bb2c72693826f63acefc2cf2143" name="a9bf35bb2c72693826f63acefc2cf2143"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bf35bb2c72693826f63acefc2cf2143">&#9670;&nbsp;</a></span>HEADER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string main.bcolors.HEADER = '\033[95m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a52ba0647dbb88f337fedb9d28f430a95" name="a52ba0647dbb88f337fedb9d28f430a95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52ba0647dbb88f337fedb9d28f430a95">&#9670;&nbsp;</a></span>OKBLUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string main.bcolors.OKBLUE = '\033[94m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e5120e588f6b867e72ff497a3f67d77" name="a7e5120e588f6b867e72ff497a3f67d77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e5120e588f6b867e72ff497a3f67d77">&#9670;&nbsp;</a></span>OKCYAN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string main.bcolors.OKCYAN = '\033[96m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af969da410c10b19679827e6e9dd61319" name="af969da410c10b19679827e6e9dd61319"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af969da410c10b19679827e6e9dd61319">&#9670;&nbsp;</a></span>OKGREEN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string main.bcolors.OKGREEN = '\033[92m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a454602594e6627f15fcebbc5e12c5155" name="a454602594e6627f15fcebbc5e12c5155"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a454602594e6627f15fcebbc5e12c5155">&#9670;&nbsp;</a></span>UNDERLINE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string main.bcolors.UNDERLINE = '\033[4m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a16b68f4e373fb7d9cc8ef00ca27f54e4" name="a16b68f4e373fb7d9cc8ef00ca27f54e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16b68f4e373fb7d9cc8ef00ca27f54e4">&#9670;&nbsp;</a></span>WARNING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string main.bcolors.WARNING = '\033[93m'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="main_8py.html">main.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemain.html">main</a></li><li class="navelem"><a class="el" href="classmain_1_1bcolors.html">bcolors</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
